SparrowDesk
Collections

Create a collection

POST
/collections
AuthorizationBearer <token>

In: header

namestring
description?string
help_center_idinteger
brand_idinteger
parent_collection_id?integer

Optional parent collection id — create a nested collection under this parent

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.sparrowdesk.com/v1/collections" \  -H "Content-Type: application/json" \  -d '{    "name": "Getting Started",    "help_center_id": 994,    "brand_id": 1  }'
{
  "data": {
    "id": 1201,
    "name": "Getting started",
    "slug": "getting-started",
    "help_center_id": 994,
    "brand_id": 1
  }
}
{
  "error": {
    "message": "Collections can only be nested up to 2 levels deep."
  }
}
{
  "error": {
    "message": "Missing required scope or product feature is not enabled for this account."
  }
}
{
  "error": {
    "message": "name is required"
  }
}
{
  "error": {
    "message": "An unexpected error occurred while creating the collection."
  }
}